#include <iostream>
#include <vector>
#include <math.h>

using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	int n, m;
	cin >> n >> m;
	
	int a[n];
	for(int i = 0; i < n; ++i)
		cin >> a[i];
		
	int sum = 0;
	
	for(int i = 0; i < m; ++i)
	{
		int x, y;
		cin >> x >> y;
		--x; --y;
		sum+=abs(a[x]+a[y]);
	}
	
	cout << sum <<endl;
	
}